请选择 进入手机版 | 继续访问电脑版

关于VFORM2打包的问题

[复制链接]
查看: 1996   回复: 2     已解决

5

主题

19

回帖

1万

积分

论坛元老

Rank: 8Rank: 8

积分
18999
2023-3-17 11:28:27   显示全部楼层   阅读模式  
本帖最后由 justin1024 于 2023-3-17 12:06 编辑

VForm2 打包出现问题,请先看看文档打包问题的处理:
https://www.yuque.com/visualdev/vform/ohyr5i#GXt3A

还有可能遇到环境问题,检查环境版本版本
推荐:
node>14+
webpack4
vue 2.6.14

不要引用错误的包,vue2 使用vform2,vue3 使用vform3


常见的几种情况:
1. 错误提示:digital envelope routines::unsupported
node.js升级到了最新版v18.12.1 启动vue项目时报错:digital envelope routines::unsupported。 因为 node.js V17版本中最近发布的OpenSSL3.0, 而OpenSSL3.0对允许算法和密钥大小增加了严格的限制,可能会对生态系统造成一些影响。故此以前的项目在升级 nodejs 版本后会报错


启动命令改成: vue-cli-service  build --report--target lib--dest dist/lib  --openssl-legacy-provider   --name VFormDesigner install.js
如果提示 command install.js does not exist,检查一下 --openssl-legency-provider参数不要放到build 之前

2. 错误提示 Cannot read properties of undefined (reading ' parseComponent ' )  或者The"from"argument must be of type string. Received undefined





vform2 跟最新发布的Vue2.7有冲突,需要把vue 版本号改回2.6

框内的”^2.6.11”改成“2.6.14”就可以了,注意^符号一定要去掉,改完后,删除node modules目录,重新安装依赖:npm install

我知道答案 回答被采纳将会获得200 威望 已有2人回答

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册账号

x
回复

使用道具 举报

7

主题

237

回帖

24万

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
245071
2023-3-17 12:21:49   显示全部楼层  
感谢分享,非常全面
回复

使用道具 举报

0

主题

2

回帖

4

积分

新手上路

Rank: 1

积分
4
2024-3-26 14:10:12   显示全部楼层  
想请教下,vform2 打成lib包后,集成到项目后,会报错 RangeError: Maximum call stack size exceeded 吗?
回复

使用道具 举报

您需要登录后才可以回帖   登录 注册账号

高级模式